<?php

namespace App\Policies;

use App\Models\CoursewareCategory;
use App\Models\User;

class CoursewareCategoryPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->isSuperAdmin();
    }

    public function view(User $user, CoursewareCategory $coursewareCategory): bool
    {
        return $user->isSuperAdmin();
    }

    public function create(User $user): bool
    {
        return $user->isSuperAdmin();
    }

    public function update(User $user, CoursewareCategory $coursewareCategory): bool
    {
        return $user->isSuperAdmin();
    }

    public function delete(User $user, CoursewareCategory $coursewareCategory): bool
    {
        return $user->isSuperAdmin();
    }
}
